From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@sourcemage.org>
Date: Sun, 23 Jun 2024 15:50:03 +0200
Subject: [PATCH] Fix build against FFmpeg 6.1.1

Upstream-Status: Pending
Origin: Source Mage
Signed-off-by: Ismael Luceno <ismael@sourcemage.org>
---
 modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-2.3.6-single-header.h |    4 ++++
 modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-3.4.8-single-header.h |    4 ++++
 modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-4.2.4-single-header.h |    4 ++++
 modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-5.0.1-single-header.h |    4 ++++
 modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-6.0.0-single-header.h |    4 ++++
 5 files changed, 20 insertions(+)

diff --git audacity-sources-3.5.1.orig/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-2.3.6-single-header.h audacity-sources-3.5.1/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-2.3.6-single-header.h
index 44834eef7eb5..635c82492ec4 100644
--- a/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-2.3.6-single-header.h
+++ b/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-2.3.6-single-header.h
@@ -568,8 +568,12 @@ static av_always_inline uint64_t av_double2int(double f)
 #define M_PI_2         1.57079632679489661923  
 #define M_SQRT1_2      0.70710678118654752440  
 #define M_SQRT2        1.41421356237309504880  
+#ifndef NAN
 #define NAN            av_int2float(0x7fc00000)
+#endif
+#ifndef INFINITY
 #define INFINITY       av_int2float(0x7f800000)
+#endif
 
 enum AVRounding {
     AV_ROUND_ZERO     = 0, 
diff --git audacity-sources-3.5.1.orig/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-3.4.8-single-header.h audacity-sources-3.5.1/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-3.4.8-single-header.h
index e078a3c2ae14..85c0149ca756 100644
--- a/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-3.4.8-single-header.h
+++ b/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-3.4.8-single-header.h
@@ -611,8 +611,12 @@ static av_always_inline uint64_t av_double2int(double f)
 #define M_PI_2         1.57079632679489661923  
 #define M_SQRT1_2      0.70710678118654752440  
 #define M_SQRT2        1.41421356237309504880  
+#ifndef NAN
 #define NAN            av_int2float(0x7fc00000)
+#endif
+#ifndef INFINITY
 #define INFINITY       av_int2float(0x7f800000)
+#endif
 
 enum AVRounding {
     AV_ROUND_ZERO     = 0, 
diff --git audacity-sources-3.5.1.orig/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-4.2.4-single-header.h audacity-sources-3.5.1/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-4.2.4-single-header.h
index 76674204b00e..6ca39ec150d9 100644
--- a/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-4.2.4-single-header.h
+++ b/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-4.2.4-single-header.h
@@ -611,8 +611,12 @@ static av_always_inline uint64_t av_double2int(double f)
 #define M_PI_2         1.57079632679489661923  
 #define M_SQRT1_2      0.70710678118654752440  
 #define M_SQRT2        1.41421356237309504880  
+#ifndef NAN
 #define NAN            av_int2float(0x7fc00000)
+#endif
+#ifndef INFINITY
 #define INFINITY       av_int2float(0x7f800000)
+#endif
 
 enum AVRounding {
     AV_ROUND_ZERO     = 0, 
diff --git audacity-sources-3.5.1.orig/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-5.0.1-single-header.h audacity-sources-3.5.1/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-5.0.1-single-header.h
index a25b78c4a7ce..7b9a2fa059cd 100644
--- a/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-5.0.1-single-header.h
+++ b/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-5.0.1-single-header.h
@@ -620,8 +620,12 @@ static av_always_inline uint64_t av_double2int(double f)
 #define M_PI_2         1.57079632679489661923
 #define M_SQRT1_2      0.70710678118654752440
 #define M_SQRT2        1.41421356237309504880
+#ifndef NAN
 #define NAN            av_int2float(0x7fc00000)
+#endif
+#ifndef INFINITY
 #define INFINITY       av_int2float(0x7f800000)
+#endif
 
 enum AVRounding {
     AV_ROUND_ZERO     = 0,
diff --git audacity-sources-3.5.1.orig/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-6.0.0-single-header.h audacity-sources-3.5.1/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-6.0.0-single-header.h
index 3e3a7cb1cc23..5a3fe8471fe8 100644
--- a/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-6.0.0-single-header.h
+++ b/modules/mod-ffmpeg/lib-ffmpeg-support/impl/ffmpeg-6.0.0-single-header.h
@@ -673,8 +673,12 @@ static av_always_inline uint64_t av_double2int(double f)
 #define M_PI_2         1.57079632679489661923  
 #define M_SQRT1_2      0.70710678118654752440  
 #define M_SQRT2        1.41421356237309504880  
+#ifndef NAN
 #define NAN            av_int2float(0x7fc00000)
+#endif
+#ifndef INFINITY
 #define INFINITY       av_int2float(0x7f800000)
+#endif
 
 enum AVRounding {
     AV_ROUND_ZERO     = 0, 
-- 
Fixed up by sm-checkpatch 0.1

